Bug 1142415 - Steam / steam-vr packages don't pull libvulkan_radeon-32bit (or 32-bit libcap-progs)
Steam / steam-vr packages don't pull libvulkan_radeon-32bit (or 32-bit libcap...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 SUSE Other
: P5 - None : Normal with 1 vote (vote)
: ---
Assigned To: Callum Farmer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-23 00:40 UTC by Yao Mitachi
Modified: 2021-08-06 16:43 UTC (History)
7 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yao Mitachi 2019-07-23 00:40:06 UTC
As discussed here,

https://github.com/ValveSoftware/SteamVR-for-Linux/issues/213

On a fresh install of Tumbleweed, certain functions are missing for SteamVR, even after installing Steam, steam-vr, and dependencies. Since libvulkan_radeon-32bit isn't installed, the in-game overlay browser and desktop view will not appear.

Since there isn't a 32-bit version of getcap available, SteamVR gives an error whenever it is launched. Apparently getcap is needed for permissions for async reprojection, though this feature worked fine for me personally. And it doesn't seem like anyone has a 32-bit package for libcap-progs.
Comment 1 Yao Mitachi 2019-07-23 02:23:50 UTC
Update: I'm pretty sure async reprojection said "on" last time (I should have got a screenshot) but now it says Off and I can't get it to change back. So I guess that confirms I really do need getcap (32-bit) for async reprojection.
Comment 2 Sasi Olin 2019-07-25 03:59:45 UTC
Keep in mind we can't recommend libvulkan_radeon-32bit on systems which have only intel and libvulkan_intel-32bit on amd only systems, doing supplements with currently installed driver packages in vendor libvulkan packages would probably work out better.

This is an issue for steamvr, steam and proton.
Comment 3 Yao Mitachi 2019-07-27 16:50:03 UTC
I may not be understanding you correctly, why would an AMD-only system have Intel-specific software at all?
Comment 4 Matthias Mailänder 2019-09-03 13:43:20 UTC
I don't have Steam VR so I can't test. To try and fix it yourself branch the pakcage and go to https://build.opensuse.org/package/view_file/games:tools/steam/steam.spec?expand=1 and scroll to the %package vr section and add Requires: libvulkan_radeon%{dep_postfix} If that solves it, please submit your changes.
Comment 5 Michael Metz-Heimburg 2019-09-05 06:32:00 UTC
I play steam on openSUSE Leap 15.0, openSUSE Leap 15.1 and a short time about three months ago on openSUSE Tumbleweed.

steamVR does not play if setcap an getcap is not installed on the folder /usr/bin. The default installation folder of libcap-progs is /usr/sbin and steamVR does not recognize the programs in that folder.
I just copied setcap and getcap in the folder /usr/bin and steamVR works fine - but only until the version 1.3.23.

It's not necessary to install a 32-bit package for libcap-progs. Perhaps this solves your problems with steamVR.
Comment 6 Yao Mitachi 2019-09-16 04:18:38 UTC
Removing myself from this, since I have switched Linux distributions, don't currently use openSUSE. Sorry!
Comment 7 Ryan Bach 2020-06-01 03:41:53 UTC
Yeah 32bit vulkan would be nice to have especially with Proton.
Comment 8 Andre Ramnitz 2021-05-13 19:54:25 UTC
Probably related issue:
installation of Steam tries to pull mesa-vulkan-device-select-32bit which does not exist on TW, thus can not be installed.
Comment 9 Jinesh Choksi 2021-05-15 13:13:49 UTC
When trying to "zypper dup" today in my Tumbleweed install, I get:

Problem: Mesa-vulkan-device-select-32bit-21.0.2-275.3.x86_64 requires libvulkan_intel-32bit = 21.0.2, but this requirement cannot be provided
  deleted providers: libvulkan_intel-32bit-21.0.2-275.3.x86_64
 Solution 1: Following actions will be done:
  keep obsolete libvulkan_intel-32bit-21.0.2-275.3.x86_64
  keep obsolete libvulkan_radeon-32bit-21.0.2-275.3.x86_64
 Solution 2: deinstallation of steam-1.0.0.70-1.2.x86_64
 Solution 3: install steam-1.0.0.70-1.2.i586 despite the inferior architecture
 Solution 4: break Mesa-vulkan-device-select-32bit-21.0.2-275.3.x86_64 by ignoring some of its dependencies


thingy:~ # rpm -qa | grep libvulkan_intel-32bit
libvulkan_intel-32bit-21.0.2-275.3.x86_64

thingy:~ # rpm -qa | grep libvulkan_radeon-32bit
libvulkan_radeon-32bit-21.0.2-275.3.x86_64

thingy:~ # rpm -qa | grep Mesa-vulkan-device-select-32bit
Mesa-vulkan-device-select-32bit-21.0.2-275.3.x86_64

Is the above related to this bugzilla ticket?
Comment 10 Callum Farmer 2021-08-06 16:43:19 UTC
fixed ages ago